Qyra
Referencev2

Get pre-aggregate stats

Retrieves aggregated pre-aggregate hit/miss statistics for a project

GET/api/v2/projects/{projectUuid}/pre-aggregates/stats

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
daysnumberNo
pagenumberNo
pageSizenumberNo
exploreNamestringNo
queryTypestringNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": {
      "stats": [
        {
          "updatedAt": "string",
          "preAggregateName": "string",
          "missReason": "string",
          "fallbackCount": 0,
          "missCount": 0,
          "hitCount": 0,
          "queryContext": "string",
          "dashboardSlug": "string",
          "dashboardName": "string",
          "dashboardUuid": "string",
          "chartName": "string",
          "chartUuid": "string",
          "date": "string",
          "exploreName": "string"
        }
      ]
    }
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}